package org.bitbucket.bradleysmithllc.etlunit.feature.h2_database;

import org.bitbucket.bradleysmithllc.etlunit.feature.database.BaseDatabaseImplemenation;
import org.bitbucket.bradleysmithllc.etlunit.feature.database.DatabaseConnection;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestValueObject;

import java.sql.*;

public class H2DatabaseImplementation extends BaseDatabaseImplemenation
{
	public database_state getDatabaseState(DatabaseConnection databaseConnection, String s)
	{
		return database_state.fail;
	}

	public String getImplementationId()
	{
		return "h2";
	}

	public Object processOperationSub(operation op, OperationRequest request) throws UnsupportedOperationException
	{
		return null;
	}

	@Override
	public String getJdbcUrl(DatabaseConnection dc, String mode, int id)
	{
		return "jdbc:h2:mem:/" + dc.getId() + "/" + mode + "";
	}

	@Override
	public Class getJdbcDriverClass()
	{
		return org.h2.Driver.class;
	}

	public String getDefaultSchema(DatabaseConnection databaseConnection, String mode)
	{
		return "PUBLIC";
	}

	@Override
	public boolean restrictToOwnedSchema(DatabaseConnection dc) {
		return false;
	}
}
